<section id="view">
    <div class="container-fluid bgclr">
        <ul class="breadcrumb reset">
            <h5>Vehcle Info</h5>
        </ul>
        <div class="card">
            <div class="card-body">

                <div class="row py-2">
                    <div class="col-5 col-sm-5 col-md-6 col-lg-6">
                        <a [routerLink]="['vehicle-info']" class="btn btn-success">
                            <i class="fa fa-plus"></i>
                            Add</a>
                    </div>
                    <div class="col-7 col-sm-7 col-md-3 col-lg-3 ml-auto">
                        <div class="form-group">
                            <div class="input-group">
                                <input type="text" class="form-control" placeholder="Search" type="text"
                                    [(ngModel)]="searchText">
                                <div class="input-group-append">
                                    <span class="input-group-text btnclrs">
                                        <i class="fa fa-search"></i>
                                    </span>

                                </div>
                            </div>

                        </div>
                    </div>
                </div>
                <!-- <h5 style="display: inline;">Vehicle Details</h5>
                <a  [routerLink]="['vehicle-info']" class="btn btn-success float-right" >
                    <i class="fa fa-plus"></i>
                    Add</a> -->
                <hr>
                <div class="card">
                    <div class="card-header">
                        Vehicle
                    </div>
                    <div class="card-body">
                        <div class="table-responsive-sm">
                            <table class="table table-bordered">
                                <thead>
                                    <tr>
                                        <th>sl.no</th>
                                        <th scope="col">Image</th>
                                        <th scope="col">vehicle Type</th>
                                        <!-- <th scope="col">View</th>
                                        <th scope="col">Update</th>
                                        <th scope="col">Delete</th> -->
                                        <th scope="col">Action</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    <tr
                                        *ngFor="let vehicle of image1| filter:searchText| paginate: { itemsPerPage: 15, currentPage: p };index as i">
                                        <th *ngIf="p>1">{{((p-1)*15)+(i+1)}}</th>
                                        <th *ngIf="p===1">{{i+1}}</th>
                                        <th scope="row">{{vehicle.vehicleType}}</th>
                                        <td> <img [src]="vehicle.vehicleimageData" alt="" width="100" height="100"> </td>
                                        <!-- <td>
                                            <a [routerLink]="['./vehicle_data', vehicle._id]"
                                                class="btn btn-success">view vehicle</a>
                                        </td>
                                        <td>
                                            <a (click)="updateData(vehicle)"
                                                class="btn btn-success text-white">Update</a>
                                        </td>
                                        <td>
                                            <a (click)="deleteData(vehicle._id)"
                                                class="btn btn-success text-white">Delete</a>
                                        </td> -->
                                        <td>
                                            <a class="btn view" [routerLink]="['./vehicle_data', vehicle._id]">
                                                <i class="fa fa-eye" aria-hidden="true"></i>
                                            </a>
                                            <a class="btn edit" (click)="updateData(vehicle)">
                                                <i class="fa fa-pencil" aria-hidden="true"></i>
                                            </a>
                                            <a class="btn delete" (click)="deleteData(vehicle._id)">
                                                <i class="fa fa-trash" aria-hidden="true"></i>
                                            </a>
                                        </td>
                                    </tr>

                                </tbody>
                            </table>
                        </div>
                        <div class="text-center">
                            <pagination-controls (pageChange)="p = $event"></pagination-controls>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>